/*
 * Copyright (C) 2011  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 */

package org.ow2.orchestra.login.client.ui;

import com.google.gwt.resources.client.ClientBundle;
import com.google.gwt.resources.client.CssResource;
import com.google.gwt.resources.client.ImageResource;
import com.google.gwt.user.client.ui.IsWidget;

/**
 * @author Loic Albertin
 */
public interface LoginView extends IsWidget {

  public interface Resources extends ClientBundle {

    @Source("orchestra_banner.png")
    ImageResource orchestraBanner();

    @Source("orchestra_fond.png")
    @ImageResource.ImageOptions(repeatStyle = ImageResource.RepeatStyle.Both, flipRtl = true)
    ImageResource bannerBackground();

    @Source(Style.DEFAULT_CSS)
    Style style();
  }


  public interface Style extends CssResource {

    String DEFAULT_CSS = "org/ow2/orchestra/login/client/ui/login.css";

    double bannerPanelSize();

    String parentPanel();

    String bannerPanel();
  }
}
